Bug 1457335 (CVE-2017-9265) - CVE-2017-9265 openvswitch: Buffer over-read while parsing the group mod OpenFlow message
Summary: CVE-2017-9265 openvswitch: Buffer over-read while parsing the group mod OpenF...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-9265
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170526,repor...
Depends On: 1456797 1467472 1467473 1467474 1467475 1467476 1467477 1467478 1467479 1470454 1470460
Blocks: 1456799
TreeView+ depends on / blocked
 
Reported: 2017-05-31 14:15 UTC by Andrej Nemec
Modified: 2019-06-11 11:13 UTC (History)
42 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A buffer over-read issue was found in Open vSwitch (OvS) which emerged while parsing the GroupMod OpenFlow messages sent from the controller. The issue could enable an attacker to cause a denial of service type of attack.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:13:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2418 normal SHIPPED_LIVE Moderate: openvswitch security, bug fix, and enhancement update 2017-08-03 16:35:07 UTC
Red Hat Product Errata RHSA-2017:2553 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-08-30 17:59:59 UTC
Red Hat Product Errata RHSA-2017:2648 normal SHIPPED_LIVE Moderate: openvswitch security and bug fix update 2017-09-06 20:53:24 UTC
Red Hat Product Errata RHSA-2017:2665 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-06 21:49:41 UTC
Red Hat Product Errata RHSA-2017:2692 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-12 21:11:39 UTC
Red Hat Product Errata RHSA-2017:2698 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-12 21:20:40 UTC
Red Hat Product Errata RHSA-2017:2727 normal SHIPPED_LIVE Moderate: openvswitch security update 2017-09-14 01:39:00 UTC

Description Andrej Nemec 2017-05-31 14:15:52 UTC
In Open vSwitch there is a buffer over-read while parsing the group mod OpenFlow message sent from the controller in `lib/ofp-util.c` in the function `ofputil_pull_ofp15_group_mod`.

References:

https://mail.openvswitch.org/pipermail/ovs-dev/2017-May/332965.html

Comment 1 Andrej Nemec 2017-05-31 14:27:39 UTC
Created openvswitch tracking bugs for this issue:

Affects: fedora-all [bug 1456797]

Comment 8 errata-xmlrpc 2017-08-03 12:37:53 UTC
This issue has been addressed in the following products:

  Fast Datapath for RHEL 7

Via RHSA-2017:2418 https://access.redhat.com/errata/RHSA-2017:2418

Comment 9 errata-xmlrpc 2017-08-30 14:06:39 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2553 https://access.redhat.com/errata/RHSA-2017:2553

Comment 10 errata-xmlrpc 2017-09-06 17:03:19 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2017:2648 https://access.redhat.com/errata/RHSA-2017:2648

Comment 11 errata-xmlrpc 2017-09-06 17:52:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2017:2665 https://access.redhat.com/errata/RHSA-2017:2665

Comment 12 errata-xmlrpc 2017-09-12 17:14:28 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2017:2692 https://access.redhat.com/errata/RHSA-2017:2692

Comment 13 errata-xmlrpc 2017-09-12 17:22:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2017:2698 https://access.redhat.com/errata/RHSA-2017:2698

Comment 14 errata-xmlrpc 2017-09-13 21:42:54 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 11.0 (Ocata)

Via RHSA-2017:2727 https://access.redhat.com/errata/RHSA-2017:2727

Comment 15 Jason Shepherd 2018-04-03 07:10:46 UTC
Updated fixed in version to 2.7.2-1 based on packages released in https://access.redhat.com/errata/RHSA-2017:2418.

Openshift Enterprise 3.7 uses the fixed version 2.7.2-1. Marking as not affected.


Note You need to log in before you can comment on or make changes to this bug.